class DataFetcher {

	constructor(url, jQuery){
		this.requestUrl = url;
		this.$ = jQuery;
		this.currentRequest = null;
	}

	sendRequest(params, completionHandler, failureHandler) {
		if (this.currentRequest) {
			this.currentRequest.abort(); // Cancels request if one is being made
		}

		this.currentRequest = $.ajax({
			url: this.requestUrl,
			data: params,
			success: completionHandler,
			timeout: 10000

		}).fail(failureHandler);
	}
}